/*
 * RTTask.java
 *
 * Created on 5 de Outubro de 2006, 14:21
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package br.ufsc.das.tom.timer;

import java.util.TimerTask;

/**
 *
 * @author edualchieri
 */
public class RTTask extends TimerTask{
    
    private int reqId;
    private int timeoutNum;
    private RTTimer timer;
    
    /** Creates a new instance of RTTask */
    public RTTask(RTTimer timer, int reqId, int timeoutNum) {
        this.timer = timer;
        this.reqId = reqId;
        this.timeoutNum = timeoutNum;
    }
    
    public int getReqId(){
        return this.reqId;
    }
    
    public int getTimeoutNum(){
        return this.timeoutNum;
    }
    
    public boolean equals(Object o){
        if(o instanceof RTTask){
            if(((RTTask)o).getReqId() == this.reqId){
                return true;
            }
        }
        return false;
    }
    
    public void run(){
        timer.timeout(this);
    }
    
}
