/*
 * Proof.java
 *
 * Created on 21 de Agosto de 2006, 15:56
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package br.ufsc.das.paxosatwar.messages;

import java.io.Serializable;
import java.security.SignedObject;

/**
 *
 * @author edualchieri
 *
 * This class represents the proof used in the rounds freeze processing.
 * The SignedObject contain the CollectProof for this server.
 */
public class Proof implements Serializable{
    
    private SignedObject[] proofs;
    
    private Object nextPropose;
    
    /** Creates a new instance of Proof */
    public Proof(SignedObject[] proofs, Object nextPropose) {
        this.proofs = proofs;
        this.nextPropose = nextPropose;
    }
    
    public Object getNextPropose(){
        return this.nextPropose;
    }

    public SignedObject[] getProofs(){
        return this.proofs;
    }
}
