
package br.ufsc.das.paxosatwar.roles.util;

import java.util.TimerTask;
import br.ufsc.das.paxosatwar.roles.Acceptor;


public class TimeoutTask extends TimerTask {
    
    private Acceptor acceptor;
    private Round round;
    
    /**
     * Creates a new instance of TimeoutTask 
     */
    public TimeoutTask(Acceptor acceptor, Round round) {
        this.acceptor = acceptor;
        this.round = round;
    }
    
    public void run() {
        acceptor.timeout(round);
    }
    
}
