/*
 * ProposeValue.java
 *
 * Created on 18 de Setembro de 2006, 13:18
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package br.ufsc.das.tom.util;

import br.ufsc.das.util.TOMUtil;
import java.io.Externalizable;
import java.io.IOException;
import java.io.ObjectInput;
import java.io.ObjectOutput;
import java.io.Serializable;

/**
 *
 * @author edualchieri
 */
public class ProposeValue implements Serializable{
//public class ProposeValue implements Externalizable{
    
    private byte[][] values;
    
    public ProposeValue(){}
    
    /** Creates a new instance of ProposeValue */
    public ProposeValue(byte[][] values) {
        this.values = values;
    }
    
    public boolean equals(Object o){
        if( o instanceof ProposeValue){
            byte[][] v = ((ProposeValue)o).getValues();
            if(v == values){
                return true;
            }
            if(v == null || values == null){
                return false;
            }
            if(v.length != values.length){
                return false;
            }
            for(int i = 0; i < values.length;i++){
                if(!TOMUtil.equalsHash(values[i],v[i])){
                    return false;
                }
            }
            return true;
        }
        return false;
    }
    
   /* public void writeExternal(ObjectOutput out)
    throws IOException{
        if(values != null){
            int t = values.length;
            out.writeInt(t);
            for(int i = 0;i<t;i++){
                byte[] b = values[i];
                out.writeInt(b.length);
                out.write(b);
            }
        }else{
            out.writeInt(-1);
        }
    }
    
    public void readExternal(ObjectInput in)
    throws IOException,
            ClassNotFoundException{
        int t = in.readInt();
        
        if(t > 0){
            values = new byte[t][];
            byte[] b = null;   
            for(int i = 0; i < t; i++){
                values[i] = new byte[in.readInt()];
                in.readFully(values[i]);
            }
        }
    }
    */
    
    public byte[][] getValues(){
        return this.values;
    }
}
